Generate component from image
curl --request POST \
--url https://api.example.com/api/v0/components/generateimport requests
url = "https://api.example.com/api/v0/components/generate"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/api/v0/components/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "string",
"name": "string",
"component_type": "flowchart",
"code": "string",
"image_description": {}
}
Components
Generate component from image
Analyzes an uploaded image and generates flowchart components based on the visual content. Currently supports ‘flowchart’ type (generates Mermaid syntax). Other types will return 501 Not Implemented.
POST
/
api
/
v0
/
components
/
generate
Generate component from image
Generate component from image
Analyzes an uploaded image and generates flowchart components based on the visual content. Currently supports ‘flowchart’ type (generates Mermaid syntax). Other types will return 501 Not Implemented.Query Parameters
string
Type of component to generate. Currently only ‘flowchart’ is implemented.
Response
object
The response data for this endpoint.
{
"uuid": "string",
"name": "string",
"component_type": "flowchart",
"code": "string",
"image_description": {}
}